org.apache.fop.layoutmgr

## Class ElementListObserver

- java.lang.Object
- - org.apache.fop.layoutmgr.ElementListObserver

-     public final class ElementListObserver
      extends java.lang.Object

  This class is used to observe Knuth element lists generated within the layout managers. This is mainly used for the purpose of automated testing. This implementation here does nothing. Please see the subclass within the test code.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ElementListObserver.Observer` Implement this interface to receive notifications on element lists.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addObserver(ElementListObserver.Observer observer)` Adds a new Observer to the list.
    `static boolean` | `isObservationActive()`
    `static void` | `observe(java.util.List elementList, java.lang.String category, java.lang.String id)` Notifies all registered observers about the element list.
    `static void` | `removeObserver(ElementListObserver.Observer observer)` Removes an Observer from the list.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addObserver

          public static void addObserver(ElementListObserver.Observer observer)

      Adds a new Observer to the list.
      Parameters:
        `observer` - the observer implementation

    - #### removeObserver

          public static void removeObserver(ElementListObserver.Observer observer)

      Removes an Observer from the list. This call simply returns if the observer was not on the list and does nothing.
      Parameters:
        `observer` - the observer to remove

    - #### observe

          public static void observe(java.util.List elementList,
                                     java.lang.String category,
                                     java.lang.String id)

      Notifies all registered observers about the element list.
      Parameters:
        `elementList` - the Knuth element list
        `category` - the category for the element list (example: main, static-content, table-cell)
        `id` - ID for the element list (may be null)

    - #### isObservationActive

          public static boolean isObservationActive()

      Returns:
        true if observation is active, i.e. Observers are registered.

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.